Bug 660431 (CVE-2010-3767) - CVE-2010-3767 Mozilla integer overflow vulnerability in NewIdArray (MFSA 2010-81)
Summary: CVE-2010-3767 Mozilla integer overflow vulnerability in NewIdArray (MFSA 2010...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2010-3767
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20101209,reported=20101203,sou...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-06 19:11 UTC by Josh Bressers
Modified: 2019-06-08 18:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 21:38:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0966 normal SHIPPED_LIVE Critical: firefox security update 2010-12-09 23:08:48 UTC
Red Hat Product Errata RHSA-2010:0967 normal SHIPPED_LIVE Critical: seamonkey security update 2010-12-09 23:29:48 UTC
Red Hat Product Errata RHSA-2010:0968 normal SHIPPED_LIVE Moderate: thunderbird security update 2010-12-09 23:50:30 UTC

Description Josh Bressers 2010-12-06 19:11:23 UTC
Security researcher regenrecht reported via TippingPoint's Zero Day
Initiative that JavaScript arrays were vulnerable to an integer overflow
vulnerability. The report demonstrated that an array could be constructed
containing a very large number of items such that when memory was allocated
to store the array items, the integer value used to calculate the buffer
size would overflow resulting in too small a buffer being allocated.
Subsequent use of the array object could then result in data being written
past the end of the buffer and causing memory corruption.

Comment 1 Vincent Danen 2010-12-09 22:08:42 UTC
This is now public:

http://www.mozilla.org/security/announce/2010/mfsa2010-81.html

Comment 2 errata-xmlrpc 2010-12-09 23:09:17 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2010:0966 https://rhn.redhat.com/errata/RHSA-2010-0966.html

Comment 3 errata-xmlrpc 2010-12-09 23:30:07 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2010:0967 https://rhn.redhat.com/errata/RHSA-2010-0967.html

Comment 4 errata-xmlrpc 2010-12-09 23:50:44 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0968 https://rhn.redhat.com/errata/RHSA-2010-0968.html


Note You need to log in before you can comment on or make changes to this bug.